MONGOC_APM_SET_TOPOLOGY_CHANGED_CB(3)

NAME
mongoc_apm_set_topology_changed_cb - mongoc_apm_set_topology_changed_cb()

SYNOPSIS

typedef void (*mongoc_apm_topology_changed_cb_t) (
   const mongoc_apm_topology_changed_t *event);
void
mongoc_apm_set_topology_changed_cb (mongoc_apm_callbacks_t *callbacks,
                                    mongoc_apm_topology_changed_cb_t cb);

Receive an event notification whenever the driver observes a change in any of the servers it is connected to or a change in the overall server topology.

PARAMETERS

•   callbacks: A mongoc_apm_callbacks_t.

•   cb: A function to call with a mongoc_apm_topology_changed_t whenever the driver observes a change in any of the servers it is connected to or a change in the overall server topology.

    SEE ALSO:
    Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc